org.apache.ode.bpel.evar

## Class ExternalVariableModule.Value

- java.lang.Object
- - org.apache.ode.bpel.evar.ExternalVariableModule.Value

- Enclosing interface:
    ExternalVariableModule

      public static class ExternalVariableModule.Value
      extends java.lang.Object

  Data structure used to report the value of the variable to the BPEL engine from the external sub system.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ExternalVariableModule.Locator` | `locator` Variable locator.
    `java.util.Date` | `useByDate` Advisory indicating when the variable becomes stale (or null if non-perishable).
    `org.w3c.dom.Node` | `value` Value of the variable.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalVariableModule.Value(ExternalVariableModule.Locator locator, org.w3c.dom.Node value)`
    `ExternalVariableModule.Value(ExternalVariableModule.Locator locator, org.w3c.dom.Node value, java.util.Date useByDate)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### locator

          public final ExternalVariableModule.Locator locator

      Variable locator. See `ExternalVariableModule.Locator`.

    - #### value

          public final org.w3c.dom.Node value

      Value of the variable.

    - #### useByDate

          public final java.util.Date useByDate

      Advisory indicating when the variable becomes stale (or null if non-perishable).

  - ### Constructor Detail

    - #### ExternalVariableModule.Value

          public ExternalVariableModule.Value(ExternalVariableModule.Locator locator,
                                      org.w3c.dom.Node value)

    - #### ExternalVariableModule.Value

          public ExternalVariableModule.Value(ExternalVariableModule.Locator locator,
                                      org.w3c.dom.Node value,
                                      java.util.Date useByDate)